﻿CREATE TABLE [dbo].[Albums] (
    [AlbumId]     INT             IDENTITY (1, 1) NOT NULL,
    [GenreId]     INT             NOT NULL,
    [ArtistId]    INT             NOT NULL,
    [Title]       NVARCHAR (160)  NOT NULL,
    [Price]       DECIMAL (18, 2) NOT NULL,
    [AlbumArtUrl] NVARCHAR (1024) NULL,
    PRIMARY KEY CLUSTERED ([AlbumId] ASC) WITH (ALLOW_PAGE_LOCKS = ON, ALLOW_ROW_LOCKS = ON, PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF)
);

