﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace MvcMusicStore.BI
{
  // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "ISales" in both code and config file together.
  [ServiceContract]
  public interface ISales
  {
    [OperationContract]
    IList<SalesByMonth> GetSalesByMonth();

    [OperationContract]
    IList<SalesByGenre> GetSalesByGenre();
  }

  [DataContract]
  public class SalesByMonth
  {
    [DataMember]
    public string Month;
    [DataMember]
    public decimal Amount;
  }

  [DataContract]
  public class SalesByGenre
  {
    [DataMember]
    public string Genre;
    [DataMember]
    public decimal Amount;
  }
}