﻿using System.Web.Security;
using Mvc3ToolsUpdateWeb_Default.Models;

namespace MvcMusicStore.Services
{
    public interface IMembershipService
    {
        bool ValidateUser(LogOnModel model);
    }

    public class MembershipService:IMembershipService
    {
        public bool ValidateUser(LogOnModel model)
        {
            return Membership.ValidateUser(model.UserName, model.Password);
        }
    }
}
